%global modulename jsonlint

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-jsonlint
Version:        1.6.3
Release:        1%{?dist}
Summary:        Validate JSON

License:        MIT
URL:            http://zaach.github.com/jsonlint/
Source0:        https://registry.npmjs.org/jsonlint/-/jsonlint-1.6.3.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(nomnom) >= 1.5.0 with npmlib(nomnom) < 2.0.0))
BuildRequires:  ((npmlib(JSV) >= 4.0.0 with npmlib(JSV) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Validate JSON

%package 1.6.3
Summary:        Validate JSON


%description 1.6.3
Validate JSON

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr Makefile %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bower.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr scripts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr src %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr web %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
chmod +x %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/lib/cli.js
ln -s %{npmlib_dir}/%{modulename}/%{version}/lib/cli.js %{buildroot}/%{_bindir}/jsonlint


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%{_bindir}/jsonlint
%{nodejs_dir}/%{modulename}

%files 1.6.3
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Dec 5 2018 npm2srpm <dshea@redhat.com> - 1.6.3-1
- Package automatically generated by npm2srpm
